### 18.2 Hacking: Adding Documentation and Editing This Manual ¶

The manual is written in `texinfo`, so you may want to read that manual. The `stumpwm.texi.in` is processed by StumpWM with some additional markup in the form of three letter character entries at the beginning of a line. `@@@ function` defines functions, `%%% some-macro` expands to that macro and its docstring, etc. Contributors are strongly encouraged to add these items to this manual whenever something new is defined in a patch. You can test if your texinfo edits are valid by generating them with `make stumpwm.info`, and viewing the new `stumpwm.info` with `info -f /path/to/stumpwm.info`, or `make stumpwm.texi` for the raw stuff.

%%% macro
@@@ function
### variable
$$$ hook
!!! StumpWM command